Bug 1014815 - authconfig --disablessd doesn't remove sss from services line
authconfig --disablessd doesn't remove sss from services line
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: authconfig (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE Security Team
:
Depends On:
Blocks: 1014816
  Show dependency treegraph
 
Reported: 2013-10-02 16:39 EDT by David Spurek
Modified: 2015-03-02 00:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1014816 (view as bug list)
Environment:
Last Closed: 2013-10-03 05:20:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Spurek 2013-10-02 16:39:50 EDT
Description of problem:
authconfig --disablessd doesn't remove sss from services line

[root@ibm-p730-04-lp1 bz804615-AUthconfig-should-add-sss-to-the-services-line]
# cat /etc/nsswitch.conf | grep "^services:.*sss"
services:   files sss
[root@ibm-p730-04-lp1 bz804615-AUthconfig-should-add-sss-to-the-services-line]# authconfig --disablesssd --update
Boolean authlogin_nsswitch_use_ldap is not defined
[root@ibm-p730-04-lp1 bz804615-AUthconfig-should-add-sss-to-the-services-line]# cat /etc/nsswitch.conf | grep "^services:.*sss"
services:   files sss
[root@ibm-p730-04-lp1 bz804615-AUthconfig-should-add-sss-to-the-services-line]

Version-Release number of selected component (if applicable):
authconfig-6.2.7-1.el7

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Tomas Mraz 2013-10-03 04:21:27 EDT
What's the output of 'authconfig --test' ?
Comment 2 David Spurek 2013-10-03 04:26:18 EDT
authconfig --test
caching is disabled
nss_files is always enabled
nss_compat is disabled
nss_db is disabled
nss_hesiod is disabled
 hesiod LHS = ""
 hesiod RHS = ""
nss_ldap is disabled
 LDAP+TLS is disabled
 LDAP server = ""
 LDAP base DN = ""
nss_nis is disabled
 NIS server = ""
 NIS domain = ""
nss_nisplus is disabled
nss_winbind is disabled
 SMB workgroup = "MYGROUP"
 SMB servers = ""
 SMB security = "user"
 SMB realm = ""
 Winbind template shell = "/bin/false"
 SMB idmap range = "16777216-33554431"
nss_sss is disabled by default
nss_wins is disabled
nss_mdns4_minimal is disabled
DNS preference over NSS or WINS is disabled
pam_unix is always enabled
 shadow passwords are disabled
 password hashing algorithm is md5
pam_krb5 is disabled
 krb5 realm = "#"
 krb5 realm via dns is disabled
 krb5 kdc = ""
 krb5 kdc via dns is disabled
 krb5 admin server = ""
pam_ldap is disabled
 LDAP+TLS is disabled
 LDAP server = ""
 LDAP base DN = ""
 LDAP schema = "rfc2307"
pam_pkcs11 is disabled
 use only smartcard for login is disabled
 smartcard module = ""
 smartcard removal action = ""
pam_fprintd is disabled
pam_ecryptfs is disabled
pam_winbind is disabled
 SMB workgroup = "MYGROUP"
 SMB servers = ""
 SMB security = "user"
 SMB realm = ""
pam_sss is disabled by default
 credential caching in SSSD is enabled
 SSSD use instead of legacy services if possible is enabled
IPAv2 is disabled
IPAv2 domain was not joined
 IPAv2 server = ""
 IPAv2 realm = ""
 IPAv2 domain = ""
pam_pwquality is enabled (try_first_pass retry=3 authtok_type=)
pam_passwdqc is disabled ()
pam_access is disabled ()
pam_mkhomedir or pam_oddjob_mkhomedir is disabled ()
Always authorize local users is enabled ()
Authenticate system accounts against network services is disabled
Comment 3 Tomas Mraz 2013-10-03 04:55:26 EDT
That's weird and in this situation there is still sss in /etc/nsswitch.conf? What is there actually?
Comment 4 David Spurek 2013-10-03 05:12:29 EDT
I look on it now, problem is in misconfigured /etc/nsswitch.conf. It contains sss only in services line, then authconfig --disablesssd --update doesn't remove it. I guess that authconfig has flag somewhere if sssd is disabled, then authconfig --disablesssd --update probably do "nothing", right?
Comment 5 Tomas Mraz 2013-10-03 05:20:39 EDT
Yes, sure. This is just unsupported configuration. To override you can use authconfig --updateall which will forcibly overwrite all configuration files.

Note You need to log in before you can comment on or make changes to this bug.